TTF_SetTextWrapWhitespaceVisible(3)

NAME
TTF_SetTextWrapWhitespaceVisible - Set whether whitespace should be visible when wrapping a text object.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_SetTextWrapWhitespaceVisible(TTF_Text *text, bool visible);

DESCRIPTION
If the whitespace is visible, it will take up space for purposes of alignment and wrapping. This is good for editing, but looks better when centered or aligned if whitespace around line wrapping is hidden. This defaults false.

This function may cause the internal text representation to be rebuilt.

FUNCTION PARAMETERS

text
    the TTF_Text
     to modify.

visible
    true to show whitespace when wrapping text, false to hide it.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_TextWrapWhitespaceVisible(3)